SDL_CreateMutex(3)

NAME
SDL_CreateMutex - Create a new mutex.

SYNOPSIS
#include <SDL3/SDL_mutex.h>

SDL_Mutex * SDL_CreateMutex(void);

DESCRIPTION
All newly-created mutexes begin in the _unlocked_ state.

Calls to SDL_LockMutex() will not return while the mutex is locked by another thread. See SDL_TryLockMutex() to attempt to lock without blocking.

SDL mutexes are reentrant.

RETURN VALUE
Returns the initialized and unlocked mutex or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_DestroyMutex(3), SDL_LockMutex(3), SDL_TryLockMutex(3), SDL_UnlockMutex(3)